@*******************************
@* GBA Graphics Library        *
@*  by Jeff Frohwein, v1.0311  *
@* http://www.devrs.com        *
@*******************************
@
@  This package is designed for GBA graphics modes 3 & 5
@ and should compile under ARM/Thumb GCC with no modifications.
@
@  Graphics mode 4 is not currently supported due to the
@ difficulty of setting individual pixels in this mode.
@ You can only do 16 or 32 bit writes to vram. To plot
@ a single point you must read, mask, then write. This
@ overhead makes relatively high performancs graphics difficult.

        .include "subs/pixel.s"    @ Draw a solid pixel
        .include "subs/line4.s"    @ Draw a solid line
        .include "subs/fill2.s"    @ Flood fill an area with solid color
        .include "subs/ellipse.s"  @ Draw an outline ellipse
        .include "subs/jpeg5.s"    @ JPEG render routines




